Subject: 23.1; Comments incorrectly detected in autoconf mode

From: [email-masked]
Date: Thu, 11 Mar 2010 15:34:20 -0000

A hash character does not always introduce a comment in autoconf code,
but autoconf-mode always colors if as if it did. Unfortunately, I
cannot really tell from the autoconf manual what the rules are. I
suspect that # does not start a comment if it is inside [...] quotes,
but I guess this should be checked.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
 of 2009-11-10 on vernadsky, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.10604000
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_GB.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Autoconf

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  show-paren-mode: t
  savehist-mode: t
  minibuffer-electric-default-mode: t
  iswitchb-mode: t
  icomplete-mode: t
  global-auto-revert-mode: t
  desktop-save-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-s p c r e _ m a k e C-a C-p C-p C-p C-p C-p C-n 
C-n C-n C-n C-n C-n C-n C-n C-n C-x b <return> <backspace> 
C-x C-s <right> <right> <right> <right> <right> <down> 
<down> <down> <down> <left> <up> <up> <up> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <right> 
<right> <return> SPC SPC <down> <down> <down> <right> 
<right> <right> <down> <right> <left> ] <right> <backspace> 
C-/ <left> <backspace> ) ] <right> C-x C-s <up> <up> 
<up> <up> <up> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <down> <left> <left> <left> 
<left> <left> <left> <right> <right> <right> <left> 
<right> <right> <right> <right> <left> <right> <down> 
<down> <down> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <down> <left> <left> <left> <right> 
<left> <right> <left> <up> <up> <up> <up> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<right> <right> <down> <down> <down> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <down> <left> 
<right> <right> <down> <left> <left> <left> <left> 
<left> <left> <right> <right> <right> <right> <right> 
<right> <left> <left> <left> <left> <left> <backspace> 
<backspace> C-x C-s M-x r e p o r t b <backspace> = 
<backspace> - - <backspace> e m a c s - b u g <ret
urn>

Recent messages:
Mark saved where search started [2 times]
Saving file /home/rrt/repo/grep-dlopen-pcre/configure.ac...
Wrote /home/rrt/repo/grep-dlopen-pcre/configure.ac
Auto-saving...done
Undo!
Saving file /home/rrt/repo/grep-dlopen-pcre/configure.ac...
Wrote /home/rrt/repo/grep-dlopen-pcre/configure.ac
Saving file /home/rrt/repo/grep-dlopen-pcre/configure.ac...
Wrote /home/rrt/repo/grep-dlopen-pcre/configure.ac
Reverting buffer `configure'.